#!/usr/bin/env python2
from setuptools import setup, find_packages
from distutils.util import convert_path
from distutils.command.install import INSTALL_SCHEMES
import os, sys, glob
from setuptools.command.install import install

class NopeUseGithub(install):
    def run(self):
        print("You need to install from Github!")
        print("pip install --upgrade git+https://github.com/binjitsu/binjitsu")
        sys.exit(1)

setup(
    name                 = 'binjitsu',
    packages             = [],
    cmdclass={
        'install': NopeUseGithub,
    },
    version              = '1.1',
    description          = "binjitsu is a CTF framework and exploit development library. "
                           "Written in Python, it is designed for rapid prototyping and "
                           "development, and intended to make exploit writing as simple as possible.",
    author               = "Gallopsled et al.",
    author_email         = "#gallopsled @ freenode.net",
    url                  = 'https://github.com/binjitsu/binjitsu/',
    download_url         = "https://github.com/binjitsu/binjitsu/tarball/master",

    license              = "Mostly MIT, some GPL/BSD, see LICENSE-binjitsu.txt",
    classifiers          = [
        'Topic :: Security',
        'Environment :: Console',
        'Operating System :: OS Independent',
        'License :: OSI Approved :: MIT License',
        'Programming Language :: Python :: 2.7',
        'Intended Audience :: Developers'
    ]
)
